| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::ximgproc::DisparityWLSFilter Class Referenceabstract
Extended Image Processing » Filters

Disparity map filter based on Weighted Least Squares filter (in form of Fast Global Smoother that is a lot faster than traditional Weighted Least Squares filter implementations) and optional use of left-right-consistency-based confidence to refine the results in half-occlusions and uniform areas. More...

`#include <opencv2/ximgproc/disparity_filter.hpp>`

Inheritance diagram for cv::ximgproc::DisparityWLSFilter:

## Public Member Functions
virtual Mat | getConfidenceMap ()=0
| Get the confidence map that was used in the last filter call. It is a CV_32F one-channel image with values ranging from 0.0 (totally untrusted regions of the raw disparity map) to 255.0 (regions containing correct disparity values with a high degree of confidence). More...
virtual int | getDepthDiscontinuityRadius ()=0
| DepthDiscontinuityRadius is a parameter used in confidence computation. It defines the size of low-confidence regions around depth discontinuities. More...
virtual double | getLambda ()=0
| Lambda is a parameter defining the amount of regularization during filtering. Larger values force filtered disparity map edges to adhere more to source image edges. Typical value is 8000. More...
virtual int | getLRCthresh ()=0
| LRCthresh is a threshold of disparity difference used in left-right-consistency check during confidence map computation. The default value of 24 (1.5 pixels) is virtually always good enough. More...
virtual Rect | getROI ()=0
| Get the ROI used in the last filter call. More...
virtual double | getSigmaColor ()=0
| SigmaColor is a parameter defining how sensitive the filtering process is to source image edges. Large values can lead to disparity leakage through low-contrast edges. Small values can make the filter too sensitive to noise and textures in the source image. Typical values range from 0.8 to 2.0. More...
virtual void | setDepthDiscontinuityRadius (int _disc_radius)=0
virtual void | setLambda (double _lambda)=0
virtual void | setLRCthresh (int _LRC_thresh)=0
virtual void | setSigmaColor (double _sigma_color)=0
Public Member Functions inherited from cv::ximgproc::DisparityFilter
virtual void | filter (InputArray disparity_map_left, InputArray left_view, OutputArray filtered_disparity_map, InputArray disparity_map_right=Mat(), Rect ROI=Rect(), InputArray right_view=Mat())=0
| Apply filtering to the disparity map. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Disparity map filter based on Weighted Least Squares filter (in form of Fast Global Smoother that is a lot faster than traditional Weighted Least Squares filter implementations) and optional use of left-right-consistency-based confidence to refine the results in half-occlusions and uniform areas.

## Member Function Documentation

## ◆ getConfidenceMap()

virtual Mat cv::ximgproc::DisparityWLSFilter::getConfidenceMap | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getConfidenceMap( |  | )

Get the confidence map that was used in the last filter call. It is a CV_32F one-channel image with values ranging from 0.0 (totally untrusted regions of the raw disparity map) to 255.0 (regions containing correct disparity values with a high degree of confidence).

## ◆ getDepthDiscontinuityRadius()

virtual int cv::ximgproc::DisparityWLSFilter::getDepthDiscontinuityRadius | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getDepthDiscontinuityRadius( |  | )

DepthDiscontinuityRadius is a parameter used in confidence computation. It defines the size of low-confidence regions around depth discontinuities.

## ◆ getLambda()

virtual double cv::ximgproc::DisparityWLSFilter::getLambda | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getLambda( |  | )

Lambda is a parameter defining the amount of regularization during filtering. Larger values force filtered disparity map edges to adhere more to source image edges. Typical value is 8000.

filter parameters

## ◆ getLRCthresh()

virtual int cv::ximgproc::DisparityWLSFilter::getLRCthresh | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getLRCthresh( |  | )

LRCthresh is a threshold of disparity difference used in left-right-consistency check during confidence map computation. The default value of 24 (1.5 pixels) is virtually always good enough.

confidence-related parameters

## ◆ getROI()

virtual Rect cv::ximgproc::DisparityWLSFilter::getROI | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getROI( |  | )

Get the ROI used in the last filter call.

## ◆ getSigmaColor()

virtual double cv::ximgproc::DisparityWLSFilter::getSigmaColor | ( |  | ) |
| pure virtual

Python:
| retval | = | cv.ximgproc_DisparityWLSFilter.getSigmaColor( |  | )

SigmaColor is a parameter defining how sensitive the filtering process is to source image edges. Large values can lead to disparity leakage through low-contrast edges. Small values can make the filter too sensitive to noise and textures in the source image. Typical values range from 0.8 to 2.0.

## ◆ setDepthDiscontinuityRadius()

virtual void cv::ximgproc::DisparityWLSFilter::setDepthDiscontinuityRadius | ( | int | _disc_radius | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_DisparityWLSFilter.setDepthDiscontinuityRadius( | _disc_radius | )

See also
  getDepthDiscontinuityRadius

## ◆ setLambda()

virtual void cv::ximgproc::DisparityWLSFilter::setLambda | ( | double | _lambda | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_DisparityWLSFilter.setLambda( | _lambda | )

See also
  getLambda

## ◆ setLRCthresh()

virtual void cv::ximgproc::DisparityWLSFilter::setLRCthresh | ( | int | _LRC_thresh | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_DisparityWLSFilter.setLRCthresh( | _LRC_thresh | )

See also
  getLRCthresh

## ◆ setSigmaColor()

virtual void cv::ximgproc::DisparityWLSFilter::setSigmaColor | ( | double | _sigma_color | ) |
| pure virtual

Python:
| None | = | cv.ximgproc_DisparityWLSFilter.setSigmaColor( | _sigma_color | )

See also
  getSigmaColor

The documentation for this class was generated from the following file:

- opencv2/ximgproc/disparity_filter.hpp